/*
 * Testbench.h
 *
 *  Created on: 13.03.2023
 *      Author: david
 */

#ifndef SRC_TESTBENCH_H_
#define SRC_TESTBENCH_H_

#include "main.h"

#include "stm32f3xx_hal.h"
#include "stm32f3xx_hal_can.h"
#include "stm32f3xx_hal_def.h"
#include "ADBMS_Abstraction.h"

#include <stdint.h>

extern Cell_Module module;

#define CAN_TEST 0x1
#define VOLTAGE_TEST 0x2
#define TEMP_TEST 0x3
#define EPROM_TEST 0x4
#define BALANCING_TEST 0x5



void testLoop(uint8_t*  action);

#endif /* SRC_TESTBENCH_H_ */
